<?php
/*
Plugin Name: AjaxChat
Plugin URI: http://paydensutherland.com
Description: This plugin provides instant messaging between two or more parties viewing your blog.
Version: 0.3.3
Author: Payden Sutherland
Author URI: http://paydensutherland.com
License: GPL2


  Copyright 2010  Payden Sutherland  (email: payden@paydensutherland.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
define('AJAXCHAT_VERSION','0.3.3');

require_once('ajaxchat_options.php');
register_activation_hook(__FILE__,'activate_me');
register_deactivation_hook(__FILE__,'deactivate_me');
add_action('init','ajaxchat_script');
add_action('wp_print_styles','ajaxchat_style');
add_filter('wp_print_footer_scripts','ajaxim_footer');
global $wpdb;


if(!function_exists('ajaxchat_style')) {
	function ajaxchat_style() {
		wp_register_style('ajaxchat_style',plugins_url('/ajaxchat.css.php',__FILE__));
		wp_enqueue_style('ajaxchat_style');
	}
}
if(!function_exists('ajaxchat_script')) {
	function ajaxchat_script() {
		if(!is_admin()) {
			wp_register_script('ajaxchat_script',plugins_url('ajaxchat.js.php',__FILE__));
			wp_enqueue_script('ajaxchat_script');
		}
	}
}
if(!function_exists('ajaxim_footer')) {
	function ajaxim_footer() {
		echo "<div id='ajaxIM'>\n";
		echo "<div style='float:left;font-weight:bold;'>AjaxChat v".get_option('ajaxchat_version')."</div>\n";
		echo "<div style='float:right;font-weight:bold;' id='ac_cont'><a href='javascript:void(0);' onclick='openOnline();'>Chat <div id='online_count'></div></a></div>\n";
		echo "</div>\n";
	}
}

if(!function_exists('activate_me')) {
	function activate_me() {
		global $wpdb;
		if(get_option('ajaxchat_version')=='') { add_option('ajaxchat_version',AJAXCHAT_VERSION); }
		else {
			if(get_option('ajaxchat_version')!=AJAXCHAT_VERSION) { update_option('ajaxchat_version',AJAXCHAT_VERSION); $upgrade=true; }
		}
		if(get_option('ajaxchat_bottom_color')=='') { add_option('ajaxchat_bottom_color','#c0c0c0'); }
		if(get_option('ajaxchat_header_color')=='') { add_option('ajaxchat_header_color','#2a4480'); }
		require_once(ABSPATH.'/wp-admin/includes/upgrade.php');
		if(($wpdb->get_var("SHOW TABLES LIKE '".$wpdb->prefix."ajaxim_sess'") != $wpdb->prefix."ajaxim_sess") || ($wpdb->get_var("SHOW TABLES LIKE '".$wpdb->prefix."ajaxim_data'")!=$wpdb->prefix."ajaxim_data")) {
			$sql = "CREATE TABLE " . $wpdb->prefix."ajaxim_sess (
				name VARCHAR(256) NOT NULL,
				lasttime BIGINT NOT NULL,
				starttime BIGINT NOT NULL,
				sessid VARCHAR(128) NOT NULL PRIMARY KEY
				);";
			dbDelta($sql);
			$sql = "CREATE TABLE ".$wpdb->prefix."ajaxim_data (
				name VARCHAR(256) NOT NULL,
				time BIGINT NOT NULL,
				msg VARCHAR(1024) NOT NULL,
				msgid INT NOT NULL AUTO_INCREMENT,
				PRIMARY KEY (msgid)
				);";
			dbDelta($sql);
		}
		return true;
	}
}
if(!function_exists('deactivate_me')) {
	function deactivate_me() {
		//nothing yet.
	}
}
?>
